This bugzilla service is closed. All entries have been migrated to https://gitlab.com/libeigen/eigen
Bug 207 - possible indexing error in ei_transform_right_product_impl
Summary: possible indexing error in ei_transform_right_product_impl
Status: RESOLVED FIXED
Alias: None
Product: Eigen
Classification: Unclassified
Component: Geometry (show other bugs)
Version: 3.0
Hardware: All All
: --- Unknown
Assignee: Nobody
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-01 19:57 UTC by Evan Herbst
Modified: 2019-12-04 10:25 UTC (History)
3 users (show)



Attachments
patch to Transform.h (413 bytes, patch)
2011-03-01 19:57 UTC, Evan Herbst
no flags Details | Diff
a fix for transform * MatrixBase product (3.96 KB, patch)
2011-03-02 15:08 UTC, Gael Guennebaud
no flags Details | Diff

Description Evan Herbst 2011-03-01 19:57:43 UTC
Created attachment 111 [details]
patch to Transform.h

It uses rows() as an index. There's a comment I don't understand just above the line in question so I'm not quite sure what's going on, but with no -1 I get runtime errors.
Comment 1 Gael Guennebaud 2011-03-02 15:08:04 UTC
Created attachment 112 [details]
a fix for transform * MatrixBase product

it seems to me that this product suffered from more serious issues, like neglecting the homogeneous component of the right hand side. Here is what I think is a more correct patch but it needs confirmation because I might have overseen something.
Comment 2 Benoit Jacob 2011-03-02 15:22:22 UTC
I don't really have time to do this review now, as I'm not myself very familiar with this part of the code. Could you just add tests?
Comment 3 Gael Guennebaud 2011-03-04 15:58:25 UTC
fixed by rev 31cc13f677d3
Comment 4 Nobody 2019-12-04 10:25:43 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to gitlab.com's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.com/libeigen/eigen/issues/207.

Note You need to log in before you can comment on or make changes to this bug.